<html >
<head>
<style type="text/css">
.tabla{ border-collapse:collapse; border-bottom:1px black;}
.tabla td { border-bottom:1px solid black;}
.loading{position:fixed;left:50%;top:50%;width:250px;height:70px;margin-left:-125px;margin-top:-35px;display:none;background:url(images/bkloading.png);background-repeat:no-repeat;color:#ffffff;padding-top:25px;text-align:center;font-family:arial;font-size:12px;}</style>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js">
</script>
<script>
$(document).ready(function(){
  $("#periodo").click(function(){
   var tipo=document.getElementById("tipo").value;
   y=document.getElementById("periodo").value;
   mes=document.getElementById("mes").value;
   anio=document.getElementById("anio").value;
 
   var d = new Date();
   var m = d.getMonth();
   var a = d.getFullYear();
   m=parseInt(m+1);
   if(anio==a&&mes>m)
   { 
   alert("La fecha aun no llega");
   }
   else{
		  if(y=="01" && tipo=='COORPORATIVO')
			{
			$(".loading").fadeIn('fast');load=true;
			$.post("nominaPrimerPeriodocorporativo.php",{anio:anio,mes:mes},function(data,status){
			$("#contenido").html(data); });	
			}
		  if(y=="02" && tipo=='COORPORATIVO')
			{
			$(".loading").fadeIn('fast');load=true;
			$.post("nominaPrimerPeriodo.php",{anio:anio,mes:mes},function(data,status){
			$("#contenido").html(data); });	
			}
		  if(y=="02" && tipo=='VENTAS')
			{
			$(".loading").fadeIn('fast');load=true;
			$.post("genera_nomina.php",{anio:anio,mes:mes},function(data,status){
			$("#contenido").html(data); });	
			}
		  if(y=="01" && tipo=='VENTAS')
			{
			$(".loading").fadeIn('fast');load=true;
			$.post("nominaPrimerPeriodoventas.php",{anio:anio,mes:mes},function(data,status){
			$("#contenido").html(data); });	
			}
		}
	});	
});
//nominaPrimerPeriodo
</script>
<title>Nomina</title>
</head>
<body>
<form>
<center>
<form name="form" id="form">
<table class="tabla">
<tr><td colspan="4">Selecciona la fecha y el periodo </td></tr>
<tr><td>Tipo</td><td>A&ntilde;o</td><td>Mes</td><td>Periodo</td></tr>
<tr>
<td>
  <select name="tipo" id="tipo">
     <option></option>
	 <option value="COORPORATIVO">COORPORATIVO</option>
	 <option value="VENTAS">VENTAS</option>
  </select>
</td>
<td>
<select id="anio" name="anio">
<?
$anio=date("Y");
while($anio>=2012)
{ echo"<option value='$anio'>$anio</option>";$anio--; }
echo"</select>";


?>
</td>
	<td>	
		<select id="mes"  name="mes">
			<option <?if(date("m")=="01"){echo"selected=selected";}?>  value="01">ENERO</option>
			<option <?if(date("m")=="02"){echo"selected=selected";}?>  value="02">FEBRERO</option>
			<option <?if(date("m")=="03"){echo"selected=selected";}?>  value="03">MARZO</option>
			<option <?if(date("m")=="04"){echo"selected=selected";}?>  value="04">ABRIL</option>
			<option <?if(date("m")=="05"){echo"selected=selected";}?>  value="05">MAYO</option>
			<option <?if(date("m")=="06"){echo"selected=selected";}?>  value="06">JUNIO</option>
			<option <?if(date("m")=="07"){echo"selected=selected";}?>  value="07">JULIO</option>
			<option <?if(date("m")=="08"){echo"selected=selected";}?>  value="08">AGOSTO</option>
			<option <?if(date("m")=="09"){echo"selected=selected";}?>  value="09">SEPTIEMBRE</option>
			<option <?if(date("m")=="10"){echo"selected=selected";}?>  value="10">OCTUBRE</option>
			<option <?if(date("m")=="11"){echo"selected=selected";}?>  value="11">NOVIEMBRE</option>
			<option <?if(date("m")=="12"){echo"selected=selected";}?>  value="12">DICIEMBRE</option>
		</select>
	</td>
	<td>
		<select id="periodo" name="periodo">
			<option  value="0" >Selecciona el periodo</option>
			<option  value="01">Primero</option>
			<option  value="02">Segundo</option>
		</select>
	</td>
</tr>
</table>
</form>
<?
if(isset($_GET["periodo"])){
list($anios,$mess,$dias)=explode("-",$_GET["periodo"]);
if($dias=="03"){$perio="01";}
else {$perio="02";}
?>
<script>
document.getElementById("mes").value="<?echo$mess?>";
document.getElementById("anio").value="<?echo$anios?>";
document.getElementById("periodo").value="<?echo$perio?>";
			y=document.getElementById("periodo").value;
			mes=document.getElementById("mes").value;
			anio=document.getElementById("anio").value;
			if(y=="01")
			{
			$.post("nominaPrimerPeriodo.php",{anio:anio,mes:mes},function(data,status){
				$("#contenido").html(data); });	
			}
		  if(y=="02")
			{
			$.post("genera_nomina.php",{anio:anio,mes:mes},function(data,status){
				$("#contenido").html(data); });	
			}
</script>
<?
} ?>
<br><br>
<div class="contenido" id="contenido">
<!--<br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
<img align='center' src='images/loading.gif' width='400' height='20'>-->
</div>
				<!--<div class="loading">
			      <img src="images/loading.gif"><br>cargando datos...
				</div>-->
</center>
</body>
</html>